/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.ShoppingCartCheckout: ImageVector
    get() {
        if (_shoppingCartCheckout != null) {
            return _shoppingCartCheckout!!
        }
        _shoppingCartCheckout = materialIcon(name = "Sharp.ShoppingCartCheckout") {
            materialPath {
                moveTo(7.0f, 18.0f)
                curveToRelative(-1.1f, 0.0f, -1.99f, 0.9f, -1.99f, 2.0f)
                reflectiveCurveTo(5.9f, 22.0f, 7.0f, 22.0f)
                reflectiveCurveToRelative(2.0f, -0.9f, 2.0f, -2.0f)
                reflectiveCurveTo(8.1f, 18.0f, 7.0f, 18.0f)
                close()
                moveTo(17.0f, 18.0f)
                curveToRelative(-1.1f, 0.0f, -1.99f, 0.9f, -1.99f, 2.0f)
                reflectiveCurveToRelative(0.89f, 2.0f, 1.99f, 2.0f)
                reflectiveCurveToRelative(2.0f, -0.9f, 2.0f, -2.0f)
                reflectiveCurveTo(18.1f, 18.0f, 17.0f, 18.0f)
                close()
                moveTo(8.1f, 13.0f)
                horizontalLineToRelative(8.66f)
                lineTo(21.0f, 4.96f)
                lineTo(19.25f, 4.0f)
                lineToRelative(-3.7f, 7.0f)
                horizontalLineTo(8.53f)
                lineTo(4.27f, 2.0f)
                horizontalLineTo(1.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(2.0f)
                lineToRelative(3.6f, 7.59f)
                lineTo(3.61f, 17.0f)
                horizontalLineTo(19.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineTo(7.0f)
                lineTo(8.1f, 13.0f)
                close()
                moveTo(12.0f, 2.0f)
                lineToRelative(4.0f, 4.0f)
                lineToRelative(-4.0f, 4.0f)
                lineToRelative(-1.41f, -1.41f)
                lineTo(12.17f, 7.0f)
                lineTo(8.0f, 7.0f)
                lineToRelative(0.0f, -2.0f)
                lineToRelative(4.17f, 0.0f)
                lineToRelative(-1.59f, -1.59f)
                lineTo(12.0f, 2.0f)
                close()
            }
        }
        return _shoppingCartCheckout!!
    }

private var _shoppingCartCheckout: ImageVector? = null
